# Class CIM_ContainedLocation
extends CIM_Component

ContainedLocation defines one location in the context of another. For example, a campus might 'contain' a building, which in turn 'contains' a floor.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ContainedLocation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | ContainedLocation defines one location in the context of another. For example, a campus might 'contain' a building, which in turn 'contains' a floor.
UMLPackagePath | string | CIM::Core::Physical
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ContainedLocation | CIM_Location
PartComponent | CIM_ContainedLocation | CIM_Location

## Class Methods